FreeMat

- Main Page
- Related Pages

vtkExtractTemporalFieldData

Section: Visualization Toolkit Graphics Classes

# Usage

vtkExtractTemporalFieldData extracts arrays from the input vtkFieldData. These arrays are assumed to contain temporal data, where the nth tuple contains the value for the nth timestep. The output is a 1D rectilinear grid where the XCoordinates correspond to time (the same array is also copied to a point array named Time or TimeData (if Time exists in the input). This algorithm does not produce a TIME_STEPS or TIME_RANGE information because it works across time. .Section Caveat vtkExtractTemporalFieldData puts a vtkOnePieceExtentTranslator in the output during RequestInformation(). As a result, the same whole extented is produced independent of the piece request. This algorithm works only with source that produce TIME_STEPS(). Continuous time range is not yet supported.

To create an instance of class vtkExtractTemporalFieldData, simply invoke its constructor as follows

      obj = vtkExtractTemporalFieldData

# Methods

The class vtkExtractTemporalFieldData has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkExtractTemporalFieldData class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkExtractTemporalFieldData = obj.NewInstance ()`
- `vtkExtractTemporalFieldData = obj.SafeDownCast (vtkObject o)`
- `int = obj.GetNumberOfTimeSteps ()` - Get the number of time steps